RSS automations

GET https://pushye.com/api/rss-automations/
curl --request GET \
--url 'https://pushye.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name, title, description, url, rss_url
website_id オプション 整数
datetime_field オプション 文字列 許可された値: last_check_datetime, next_check_datetime, datetime, last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "rss_url": "https://example.com/feex.xml",
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "check_interval_seconds": 60,
                "items_count": 3,
                "campaigns_delay": 15
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-04-28 18:35:02",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/rss-automations?page=1",
        "last": "https://pushye.com/api/rss-automations?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/rss-automations?page=1"
    }
}
GET https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "rss_url": "https://example.com/feex.xml",
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "check_interval_seconds": 60,
            "items_count": 3,
            "campaigns_delay": 15
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-04-28 18:35:02",
    }
}
POST https://pushye.com/api/rss-automations
パラメータ 詳細 説明
website_id 必須 整数 -
rss_url オプション 文字列 -
name 必須 文字列 -
title 必須 文字列 -
description 必須 文字列 -
url オプション 文字列 -
image オプション ファイル -
button_title_1 オプション 文字列 -
button_url_1 オプション 文字列 -
button_title_2 オプション 文字列 -
button_url_2 オプション 文字列 -
is_silent オプション ブール値 -
is_auto_hide オプション ブール値 -
ttl オプション 文字列 許可された値: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source オプション 文字列 -
utm_medium オプション 文字列 -
utm_campaign オプション 文字列 -
check_interval_seconds オプション 文字列 許可された値: 900, 1800, 3600, 21600, 43200, 86400, 259200 (秒)
items_count オプション 文字列 許可された値: 1 - 100
campaigns_delay オプション 文字列 許可された値: 5 - 1440
unique_item_identifier オプション 文字列 許可された値: url, publication_date, id
use_rss_image オプション ブール値 -
disable_rss_automation_on_fail オプション ブール値 -
is_enabled オプション ブール値 -
curl --request POST \
--url 'https://pushye.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
POST https://pushye.com/api/rss-automations/{rss_automation_id}
パラメータ 詳細 説明
website_id オプション 整数 -
rss_url オプション 文字列 -
name オプション 文字列 -
title オプション 文字列 -
description オプション 文字列 -
url オプション 文字列 -
image オプション ファイル -
button_title_1 オプション 文字列 -
button_url_1 オプション 文字列 -
button_title_2 オプション 文字列 -
button_url_2 オプション 文字列 -
is_silent オプション ブール値 -
is_auto_hide オプション ブール値 -
ttl オプション 文字列 許可された値: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source オプション 文字列 -
utm_medium オプション 文字列 -
utm_campaign オプション 文字列 -
check_interval_seconds オプション 文字列 許可された値: 900, 1800, 3600, 21600, 43200, 86400, 259200 (秒)
items_count オプション 文字列 許可された値: 1 - 100
campaigns_delay オプション 文字列 許可された値: 5 - 1440
unique_item_identifier オプション 文字列 許可された値: url, publication_date, id
use_rss_image オプション ブール値 -
disable_rss_automation_on_fail オプション ブール値 -
is_enabled オプション ブール値 -
curl --request POST \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \